Index: trunk/client/modules/Elezioni/blocchi/cerca_candidato.php
===================================================================
--- trunk/client/modules/Elezioni/blocchi/cerca_candidato.php	(revision 269)
+++ trunk/client/modules/Elezioni/blocchi/cerca_candidato.php	(revision 270)
@@ -40,5 +40,5 @@
 ';
 
-$cerca_cand=$_SESSION['cerca_cand']; 
+if(isset($_SESSION['cerca_cand'])) $cerca_cand=$_SESSION['cerca_cand']; else $cerca_cand="";
 echo $cerca_cand;
 $_SESSION['cerca_cand']='';
Index: trunk/client/modules/Elezioni/candidato.php
===================================================================
--- trunk/client/modules/Elezioni/candidato.php	(revision 269)
+++ trunk/client/modules/Elezioni/candidato.php	(revision 270)
@@ -136,5 +136,5 @@
 	
 	$res = mysql_query("SELECT id_cons FROM ".$prefix."_ele_candidati where id_cons='$id_cons' and cognome like \"$lettera%\"  ", $dbi);
-    	$max = mysql_num_rows($res);
+    if($res)	$max = mysql_num_rows($res);
 	
 	}
Index: trunk/client/modules/Elezioni/gruppo.php
===================================================================
--- trunk/client/modules/Elezioni/gruppo.php	(revision 269)
+++ trunk/client/modules/Elezioni/gruppo.php	(revision 270)
@@ -181,5 +181,5 @@
 		else
 			$res_sez = mysql_query("SELECT count(num_sez),min(num_sez),max(num_sez) from ".$prefix."_ele_sezioni where id_cons=$id_cons",$dbi);
-		list($tot_sez,$numsezmin,$numsezmax)=mysql_fetch_row($res_sez); 
+		if($res_sez) list($tot_sez,$numsezmin,$numsezmax)=mysql_fetch_row($res_sez); 
 		$res_sez = mysql_query("SELECT count(num_sez) from ".$prefix."_ele_sezioni where id_cons=$id_cons",$dbi);
 		list($tuttelesez)=mysql_fetch_row($res_sez); 
Index: trunk/client/modules/Elezioni/index.php
===================================================================
--- trunk/client/modules/Elezioni/index.php	(revision 269)
+++ trunk/client/modules/Elezioni/index.php	(revision 270)
@@ -956,5 +956,5 @@
 // funzione visualizzazione delle liste per camera e senato con raggruppamenti/coalizioni
 function liste(){
-global $id_cons,$id_cons_gen,$prefix,$dbi,$min,$offset,$op,$tipo_cons,$prev,$next,$votog,$votol,$circo;
+global $id_cons,$id_cons_gen,$prefix,$dbi,$min,$offset,$op,$tipo_cons,$prev,$next,$votog,$votol,$circo,$genere,$id_comune;
 //dati();
 $offset=10;
Index: trunk/client/modules/Elezioni/language/lang-it.php
===================================================================
--- trunk/client/modules/Elezioni/language/lang-it.php	(revision 269)
+++ trunk/client/modules/Elezioni/language/lang-it.php	(revision 270)
@@ -48,7 +48,5 @@
 define("_SEZNOS","Sezioni non scrutinate");
 define("_SEZSCR","Sezioni scrutinate");
-define("_LISTA","Lista");
 define("_PREFLISTA","Preferenze di Lista");
-define("_CANDIDATO","Candidato");
 define("_GESAMMIN","Gestione Amministrativa ");
 define("_DESCR","Denominazione");
@@ -218,4 +216,6 @@
 define("_IDCIRC","Id collegio ");
 define("_CIRC_N","Collegio n. ");
+define("_LISTA","Lista");
+define("_CANDIDATO","Candidato");
 }else{
 define("_CIRCS","Circoscrizioni");
@@ -288,4 +288,6 @@
 		define("_CONSIGLIO","Consiglio Provinciale");
 		define("_ASOLO_GRUPPO","Solo Presidente");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
 		break;
 	case 2:
@@ -297,4 +299,7 @@
 		define("_SIMBOLO","Scheda");
 		define("_PRESI","Quesito");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
+		define("_CONSI","Consigliere");
 		break;
 	case 3:
@@ -311,6 +316,8 @@
 		define("_VOTI_LISTA","Voti di lista");
 		define("_ASOLO_GRUPPO","Solo Sindaco");
-		break;
-        case 4:
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
+		break;
+    case 4:
 		define("_SCELTA_CIR","Scegli la Circoscrizione");
 	    define("_CONSULTAZIONE","Consultazione Elezioni Circoscrizione");
@@ -320,5 +327,7 @@
         define("_CONSI","Consigliere");
 		define("_CONSIGLIO","Consiglio Circoscrizionale");
-                break;
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
+        break;
 	case 5: 
 		define("_CONSULTAZIONE","Sessione di Ballottaggio");
@@ -328,4 +337,7 @@
 		define("_GRUPPOLOGO","Logo del Sindaco");
 		define("_PRESI","Presidente");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
+		define("_CONSI","Consigliere");
 		break;
 	case 6:
@@ -336,4 +348,7 @@
 		define("_GRUPPO","Lista");
 		define("_GRUPPOLOGO","Logo della Lista");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
+		define("_CONSI","Consigliere");
 		break;
 	case 7:
@@ -344,4 +359,7 @@
 		define("_GRUPPO","Lista");
 		define("_GRUPPOLOGO","Logo della Lista");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
+		define("_CONSI","Consigliere");
 		break;
 	case 8:
@@ -354,4 +372,6 @@
 		define("_CONSI","Candidato Lista");
 		define("_CONSIGLIO","Consiglio Europeo");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
 		break;
 	case 9:
@@ -364,4 +384,6 @@
 		define("_CONSI","Candidato Lista");
 		define("_CONSIGLIO","Consiglio Regionale");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
 		break;
 	
@@ -376,4 +398,7 @@
 		define("_GRUPPOLOGO","Logo della Lista");
 		define("_CONSIGLIO","Senatori");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
+		define("_CONSI","Consigliere");
 		break;
 	
@@ -387,4 +412,7 @@
 		define("_GRUPPOLOGO","Logo della Lista");
 		define("_CONSIGLIO","Deputati");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
+		define("_CONSI","Consigliere");
 		break;
 	case 12:
@@ -400,4 +428,5 @@
 		define("_VOTI_LISTA","Voti di lista");
 		define("_CONSIGLIO","Consiglio Provinciale");
+		define("_CONSI","Consigliere");
 		break;
 	case 13: 
@@ -408,4 +437,7 @@
 		define("_GRUPPOLOGO","Logo del Presidente");
 		define("_PRESI","Presidente");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
+		define("_CONSI","Consigliere");
 		break;
 	case 14:
@@ -422,4 +454,5 @@
 		define("_GRUPPO","Coalizione");
 		define("_DESCRCONS","CAMERA CON GRUPPI");
+		define("_CONSI","Consigliere");
 		break;
 	case 16: 
@@ -428,4 +461,5 @@
 		define("_GRUPPO","Coalizione");
 		define("_DESCRCONS","SENATO CON GRUPPI");
+		define("_CONSI","Consigliere");
 		break;
 	case 17:
@@ -434,4 +468,5 @@
 		define("_GRUPPO","Candidato Presidente");
 		define("_DESCRCONS","REGIONALI");
+		define("_CONSI","Consigliere");
 		break;
 	case 18:
@@ -440,18 +475,24 @@
 		define("_GRUPPI","Candidati Uninominali");
 		define("_SOLO_GRUPPO","Voti al solo Candidato Uninominale");
+		define("_ASOLO_GRUPPO","Voti al solo</br>Candidato Uninominale");
 		define("_LISTA","Lista collegata");
 		define("_CANDIDATO","Listino bloccato");
-
+		define("_CONSIGLIO","Consiglio");
+		define("_SIMBOLO","Candidato<br />Uninominale");
 		define("_DESCRCONS","CAMERA");
-		break;
-        case 19:
+		define("_CONSI","Candidato");
+		break;
+    case 19:
 		define("_CONSULTAZIONE","Consultazione Senato della Repubblica"); //genere 5
 		define("_GRUPPO","Candidato Uninominale");
 		define("_GRUPPI","Candidati Uninominali");
 		define("_SOLO_GRUPPO","Voti al solo Candidato Uninominale");
+		define("_ASOLO_GRUPPO","Voti al solo</br>Candidato Uninominale");
 		define("_LISTA","Lista collegata");
 		define("_CANDIDATO","Listino bloccato");
-
+		define("_CONSIGLIO","Consiglio");
+		define("_SIMBOLO","Candidato<br />Uninominale");
 		define("_DESCRCONS","CAMERA");
+		define("_CONSI","Candidato");
 		break;
 
Index: trunk/client/versione.php
===================================================================
--- trunk/client/versione.php	(revision 269)
+++ trunk/client/versione.php	(revision 270)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "2.0 rev 269";
+$versione = "2.0 rev 270";
 $version_number = $versione;
-$version = "Eleonline $version_number (<i>Ultimo aggiornamento: 3 febbraio 2018</i>)";
+$version = "Eleonline $version_number (<i>Ultimo aggiornamento: 10 febbraio 2018</i>)";
 
 ?> 
